Package: org.apache.groovy.util

## [Java] Class Arrays

- org.apache.groovy.util.Arrays

-     public class Arrays
      extends Object

  Array utilities.

  Since:
    3.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public static T[]` | `concat(T[] arrays)` Concatenate arrays and ignore null array

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### <T> @SuppressWarnings("unchecked")
      public static T[] concat(T[] arrays)

      Concatenate arrays and ignore null array

      Parameters:
        `arrays` - arrays to merge
      Type Parameters:
        `T` - array component type
      Returns:
        the concatenated array